import { NetworkAdapter } from './NetworkAdapter';
/**
 * @deprecated Please use the CdmStandardsAdapter instead.
 */
export declare class GithubAdapter extends NetworkAdapter {
    private static readonly ghHost;
    private static readonly ghPath;
    /**
     * @internal
     */
    readonly type: string;
    private readonly url;
    constructor();
    private static ghRawRoot;
    canRead(): boolean;
    readAsync(corpusPath: string): Promise<string>;
    createAdapterPath(corpusPath: string): string;
    createCorpusPath(adapterPath: string): string;
    fetchConfig(): string;
    updateConfig(config: string): void;
}
